Skip to main content

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

POST /passwordless/start Passwordless connections do not require the user to remember a password. Instead, another mechanism is used to prove identity, such as a one-time code sent through email or SMS, every time the user logs in. You have three options for passwordless authentication:
  • Send a verification code using email.
  • Send a link using email.
  • Send a verification code using SMS.

Remarks

Error Codes

For the complete error code reference for this endpoint refer to Errors > POST /passwordless/start.

Learn More

Parameters

client_id
string
required
The client_id of your application.
client_assertion
string
A JWT containing a signed assertion with your application’s credentials. Required when Private Key JWT is your application authentication method.
client_assertion_type
string
Use the value urn:ietf:params:oauth:client-assertion-type:jwt-bearer. Required when Private Key JWT is the application authentication method.
client_secret
string
The client_secret of your application. Required for Regular Web Applications only.
connection
string
required
How to send the code/link to the user. Use email to send via email, or sms to send via SMS.Allowed values: email, sms
email
string
Set this to the user’s email address when connection=email.
phone_number
string
Set this to the user’s phone number when connection=sms.
send
string
Use link to send a link or code to send a verification code. If null, a link will be sent.Allowed values: link, code
authParams
object
Any authentication parameters that you would like to add, such as scope, state, redirect_uri, etc.

Response

StatusDescription
200Code or link sent successfully.
400Bad Request. Invalid parameters.
401Unauthorized. Invalid client credentials.